Subject: [rohc] Doubt in SigComp Torture Testcase(RFC: 4465)

From: "Gangadharan G - TLS,Chennai" <[email-masked]>
Date: Thu, 14 Sep 2006 19:41:51 +0530

Hi All,
 
I have a doubt in SigComp Torture Testcase(RFC: 4465)
 
In the State Memory Management Testcase (Section 4.2), 
 
I am getting State-ID for the State B, which is not same as the one
specified in the Testcase.(:state_identifier_b   byte (249, 1, 14, 239, 86,
123))
 
State-ID which I am getting  is  :
0x52a869484902a44e2f8c15e0f01d3e4d4d43b34f
 
State-ID that is specified in    
the Testcase (First 6 Byte) is   : 0xF9010EEF567B
 
Also, I have verified the State Value for which State-ID is created and
specified it below.
State Value starts from the UDVM memory address 512 (i.e.,from 384th byte of
the bytecode ) and 
contains zeros for the remaining bytes
 
BLUE - Hash Header (state_length, state_address, state_instruction,
minimum_access_length) 
RED  - first 6 bytes of B's State ID(which is included in the State Value)
0x01, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x06, 0x74, 0x65,
0x73, 0x74, 0x00, 0x00, 0x00, 0x01, 0x00, 0x02, 0x00, 0x03,
0x00, 0x04, 0x00, 0x03, 0x00, 0x02, 0x00, 0x01, 0x00, 0x00,
0x8e, 0xea, 0x4b, 0x43, 0xa7, 0x87, 0xf9, 0x01, 0x0e, 0xef,
0x56, 0x7b, 0x23, 0x9a, 0x34, 0x6b, 0x15, 0xa6, 0xb4, 0x0f,
0xc0, 0xe4, 0x4d, 0x2c, 0xd4, 0xa2, 0x21, 0x47, 0xe6, 0x0a,
0xef, 0xf2, 0xbc, 0x0f, 0xb6, 0xaf, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
......................(Deleted few rows of 0x00 for clarity)..............
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00,
 
In the first run of the Testcase, the bytecode created a State (B) starting
from the memory address 512 and of length 256.
Also the State-ID of that State(marked in red above), reference for
State-Access in future run, is included in the Buffer to which SHA has to be
calculated.
 
I think, the State-ID of a State should not be a part of its State-Value.
 
Please clarify me whether my State Value is right or wrong.
 
Thanks,
Gangadharan.
DISCLAIMER 
The contents of this e-mail and any attachment(s) are confidential and intended for the 

named recipient(s) only. It shall not attach any liability on the originator or HCL or its 

affiliates. Any views or opinions presented in this email are solely those of the author and 

may not necessarily reflect the opinions of HCL or its affiliates. Any form of reproduction, 

dissemination, copying, disclosure, modification, distribution and / or publication of this 

message without the prior written consent of the author of this e-mail is strictly 

prohibited. If you have received this email in error please delete it and notify the sender 

immediately. Before opening any mail and attachments please check them for viruses and 

defect.
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc